# HOUR function

The HOUR function returns the hour part of a value.

The argument must be a time, timestamp, or a valid character string representation of a time or timestamp that is not a CLOB, LONG VARCHAR, or XML value. The result of the function is an integer between 0 and 24. If the argument can be null, the result can be null; if the argument is null, the result is the null value.

#### Syntax

    HOUR ( expression )

#### Example

Select all the classes that start in the afternoon from a table called TABLE1.

    SELECT * FROM TABLE1 WHERE HOUR(STARTING) BETWEEN 12 AND 17

Parent topic: Built-in functions